/*
 * Copyright 2012 Research In Motion Limited.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

var _extIntDir = __dirname + "./../../../../ext-internal",
    _apiDir = _extIntDir + "/pps",
    _ID = require(_apiDir + "/manifest").namespace,
    client,
    mockedWebworks;

describe("pps client", function () {

    beforeEach(function () {
        GLOBAL.window = GLOBAL;
        mockedWebworks = {
            execSync: jasmine.createSpy()
        };
        GLOBAL.window.webworks = mockedWebworks;
        client = require(_apiDir + "/client");
    });

    afterEach(function () {
        delete GLOBAL.window;
        client = null;
    });

    describe("syncWrite", function () {

        it("can call execSync", function () {
            var writeData = { test : "test" },
                path = "PATH",
                options = { test : "option" };
            client.syncWrite(writeData, path, options);
            expect(mockedWebworks.execSync).toHaveBeenCalledWith(
                _ID, 
                "syncWrite",
                { writeData: writeData, path: path, options: options}
            );
        });

    });

    describe("syncRead", function () {

        it("can call execSync", function () {
            var path = "PATH",
                options = { test : "option" };
            client.syncRead(path, options);
            expect(mockedWebworks.execSync).toHaveBeenCalledWith(
                _ID, 
                "syncRead", 
                { path: path, options: options }
            );
        });

    });

});
